> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/jp/gakushu/yogo-shu/governance.md).

# ガバナンス

### 概要

ガバナンスシステムのコントラクトは、Compound の Alpha ガバナンスのデフォルト実装に基づいており、投票権は validator に委任された合計量に依存します。validator のオーナーが、ガバナンス上の提案に賛成または反対の投票をする責任を負います。現在、達成すべき必要クォーラムは ⅔ です。

#### 提案はどのような状況で適用されるのか？

Chiliz はデフォルトの **Compound の Alpha ガバナンス**を実装しており、投票権は validator のオーナーに、その合計委任量に基づいて配分されます。⅔ のクォーラムが達成されると、提案を適用できます。

このガバナンスは Compound のバージョンと完全に互換性があります。ただし、1 点だけ改良があります。カスタム投票期間を指定した提案の作成を可能にしている点です。

一部のメソッドでは、より短い投票期間を持つことが重要です。たとえば、緊急のアクションを適用する必要がある場合です。\
これを実現するために、`proposeWithCustomVotingPeriod` というメソッドを追加して、元の実装を拡張できます。これにより、提案の投票期間を指定できます。

#### 提案はどのような状況で否決されるのか？

クォーラムが達成され、かつ投票権の 50% 超が提案に投じられると、投票期間終了後すぐに提案を実行できます。提案が投票期間内に必要なクォーラムに達しない場合は、否決されます。

### Consensus params

{% code overflow="wrap" lineNumbers="true" %}

````
```solidity
struct ConsensusParams {
    uint32 activeValidatorsLength;
    uint32 epochBlockInterval;
    uint32 misdemeanorThreshold;
    uint32 felonyThreshold;
    uint32 validatorJailEpochLength;
    uint32 undelegatePeriod;
}
```
````

{% endcode %}

### BSC 互換性

Chiliz Chain は BSC および Parlia コンセンサスと互換性があります。EVM executor において、新たに追加されるのは ACL ポリシーをチェックするためのフックのみで、これは約 40 行のコードです。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chiliz.com/jp/gakushu/yogo-shu/governance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
